<?php

namespace FiloBlu\Kpi\Cron;

use FiloBlu\Kpi\Model\CreateviewsFactory;
use Psr\Log\LoggerInterface;

/**
 * Class Createviews
 * @package FiloBlu\Kpi\Cron
 */
class Createviews
{
    /**
     * @var LoggerInterface
     */
    protected $logger;
    /**
     * @var CreateviewsFactory
     */
    protected $kpiCreateviewsFactory;

    /**
     * Createviews constructor.
     * @param LoggerInterface $logger
     * @param CreateviewsFactory $kpiCreateviewsFactory
     */
    public function __construct(
        LoggerInterface $logger,
        CreateviewsFactory $kpiCreateviewsFactory
    )
    {
        $this->logger = $logger;
        $this->kpiCreateviewsFactory = $kpiCreateviewsFactory;
    }

    /**
     *
     */
    public function execute()
    {
        //$this->logger->addInfo('Executing Cronjob Createviews is executed.');
        $this->kpiCreateviewsFactory->create()->createViews();
        //$this->logger->addInfo('Cronjob Createviews is executed.');
    }
}